<?php

namespace app\shared\controller\user;
use app\shared\logic\user\GoodsOrderForm;
//商品订单管理
class GoodsOrder{
	//列表
	public function list(){
		$form=new GoodsOrderForm();
		return $form->list();
	}
	//提交预览
	public function submitPreview(){
		$form=new GoodsOrderForm();
		return $form->submitPreview();
	}
	//提交
	public function submit(){
		$form=new GoodsOrderForm();
		return $form->submit();
	}
    //支付订单
    public function orderPay(){
    	$form=new GoodsOrderForm();
		return $form->orderPay();
    }
    //详情
    public function details(){
    	$form=new GoodsOrderForm();
		return $form->details();
    }
    //确认订单
	public function confirm(){
	    $form=new GoodsOrderForm();
		return $form->confirm();
	}
	//取消订单
	public function cancel(){
	    $form=new GoodsOrderForm();
		return $form->cancel();
	}
}